info.bioinfweb.jphyloio.formats.nexml.receivers

## Class AbstractNeXMLDataReceiverMixin

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.nexml.receivers.AbstractNeXMLDataReceiverMixin

- All Implemented Interfaces:
    NeXMLConstants

      public class AbstractNeXMLDataReceiverMixin
      extends java.lang.Object
      implements NeXMLConstants

  Provides a set of static methods to be used as static imports when needed across multiple NeXML data receivers. Since not all of these classes allow direct access to a NeXMLWriterStreamDataProvider, an instance of it is a parameter of the static methods instead of an instance of AbstractNeXMLDataReceiver.
  Since:
    0.0.0
  Author:
    Sarah Wiechers

- - ### Field Summary

    - ### Fields inherited from interface info.bioinfweb.jphyloio.formats.nexml.NeXMLConstants

      `ATTR_ABOUT, ATTR_CELL_SET_LINKED_IDS, ATTR_CHAR_SET_LINKED_IDS, ATTR_CODON_POSITION, ATTR_CONTENT, ATTR_DATATYPE, ATTR_GENERATOR, ATTR_HREF, ATTR_ID, ATTR_LABEL, ATTR_LENGTH, ATTR_NODE_EDGE_SET_LINKED_EDGE_IDS, ATTR_NODE_EDGE_SET_LINKED_NODE_IDS, ATTR_NODE_EDGE_SET_LINKED_ROOTEDGE_IDS, ATTR_OTU_SET_LINKED_IDS, ATTR_OTUS, ATTR_PROPERTY, ATTR_REL, ATTR_ROOT, ATTR_SEQUENCE_SET_LINKED_IDS, ATTR_SINGLE_CHAR_LINK, ATTR_SINGLE_OTU_LINK, ATTR_SINGLE_STATE_LINK, ATTR_SOURCE, ATTR_STATE_SET_LINKED_IDS, ATTR_STATES, ATTR_SYMBOL, ATTR_TARGET, ATTR_TOKENS, ATTR_TREE_SET_LINKED_NETWORK_IDS, ATTR_TREE_SET_LINKED_TREE_IDS, ATTR_VERSION, ATTR_XSI_TYPE, DEFAULT_TOKEN_DEFINITION_SET_ID_PREFIX, NEXML_DEFAULT_NAMESPACE_PREFIX, NEXML_FORMAT_NAME, NEXML_NAMESPACE, NEXML_NAMESPACE_PREFIX, NEXML_PREDICATE_NAMESPACE, NEXML_VERSION, PREDICATE_CHAR_ATTR_CODON_POSITION, PREDICATE_CHAR_ATTR_TOKENS, PREDICATE_FORMAT, PREDICATE_MATRIX, PREDICATE_ORIGINAL_LABEL, PREDICATE_ORIGINAL_TOKEN_NAME, TAG_CELL, TAG_CHAR, TAG_CHARACTERS, TAG_EDGE, TAG_FORMAT, TAG_MATRIX, TAG_MEMBER, TAG_META, TAG_NETWORK, TAG_NODE, TAG_OTU, TAG_OTUS, TAG_POLYMORPHIC, TAG_ROOT, TAG_ROOTEDGE, TAG_ROW, TAG_SEQ, TAG_SET, TAG_STATE, TAG_STATES, TAG_TREE, TAG_TREES, TAG_UNCERTAIN, TYPE_CONTIN_CELLS, TYPE_CONTIN_SEQ, TYPE_DNA_CELLS, TYPE_DNA_SEQS, TYPE_FLOAT_NETWORK, TYPE_FLOAT_TREE, TYPE_INT_NETWORK, TYPE_INT_TREE, TYPE_LITERAL_META, TYPE_PROTEIN_CELLS, TYPE_PROTEIN_SEQS, TYPE_RESOURCE_META, TYPE_RESTRICTION_CELLS, TYPE_RESTRICTION_SEQS, TYPE_RNA_CELLS, TYPE_RNA_SEQS, TYPE_STANDARD_CELLS, TYPE_STANDARD_SEQ, UNDEFINED_OTU_ID_PREFIX, UNDEFINED_OTU_LABEL, UNDEFINED_OTUS_ID_PREFIX, UNDEFINED_OTUS_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractNeXMLDataReceiverMixin()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkLiteralContentMeta(NeXMLWriterStreamDataProvider streamDataProvider, ReadWriteParameterMap parameters, LiteralMetadataContentEvent event)`
    `static void` | `checkLiteralMeta(NeXMLWriterStreamDataProvider streamDataProvider, LiteralMetadataEvent event)`
    `static void` | `checkResourceMeta(NeXMLWriterStreamDataProvider streamDataProvider, ResourceMetadataEvent event)`
    `static void` | `handleComment(NeXMLWriterStreamDataProvider streamDataProvider, CommentEvent event)`
    `static void` | `handleLiteralContentMeta(NeXMLWriterStreamDataProvider streamDataProvider, ReadWriteParameterMap parameters, LiteralMetadataContentEvent event)`
    `static void` | `handleLiteralMeta(NeXMLWriterStreamDataProvider streamDataProvider, LiteralMetadataEvent event)`
    `static void` | `handleMetaEndEvent(NeXMLWriterStreamDataProvider streamDataProvider, JPhyloIOEvent event)`
    `static void` | `handleResourceMeta(NeXMLWriterStreamDataProvider streamDataProvider, ResourceMetadataEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractNeXMLDataReceiverMixin

          public AbstractNeXMLDataReceiverMixin()

  - ### Method Detail

    - #### handleLiteralMeta

          public static void handleLiteralMeta(NeXMLWriterStreamDataProvider streamDataProvider,
                                               LiteralMetadataEvent event)
                                        throws javax.xml.stream.XMLStreamException,
                                               JPhyloIOWriterException

      Throws:
        `javax.xml.stream.XMLStreamException`
        `JPhyloIOWriterException`

    - #### checkLiteralMeta

          public static void checkLiteralMeta(NeXMLWriterStreamDataProvider streamDataProvider,
                                              LiteralMetadataEvent event)
                                       throws javax.xml.stream.XMLStreamException,
                                              JPhyloIOWriterException

      Throws:
        `javax.xml.stream.XMLStreamException`
        `JPhyloIOWriterException`

    - #### handleLiteralContentMeta

          public static void handleLiteralContentMeta(NeXMLWriterStreamDataProvider streamDataProvider,
                                                      ReadWriteParameterMap parameters,
                                                      LiteralMetadataContentEvent event)
                                               throws javax.xml.stream.XMLStreamException,
                                                      java.lang.ClassCastException,
                                                      java.io.IOException

      Throws:
        `javax.xml.stream.XMLStreamException`
        `java.lang.ClassCastException`
        `java.io.IOException`

    - #### checkLiteralContentMeta

          public static void checkLiteralContentMeta(NeXMLWriterStreamDataProvider streamDataProvider,
                                                     ReadWriteParameterMap parameters,
                                                     LiteralMetadataContentEvent event)
                                              throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### handleResourceMeta

          public static void handleResourceMeta(NeXMLWriterStreamDataProvider streamDataProvider,
                                                ResourceMetadataEvent event)
                                         throws java.lang.ClassCastException,
                                                javax.xml.stream.XMLStreamException,
                                                JPhyloIOWriterException

      Throws:
        `java.lang.ClassCastException`
        `javax.xml.stream.XMLStreamException`
        `JPhyloIOWriterException`

    - #### checkResourceMeta

          public static void checkResourceMeta(NeXMLWriterStreamDataProvider streamDataProvider,
                                               ResourceMetadataEvent event)
                                        throws java.io.IOException,
                                               javax.xml.stream.XMLStreamException

      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`

    - #### handleMetaEndEvent

          public static void handleMetaEndEvent(NeXMLWriterStreamDataProvider streamDataProvider,
                                                JPhyloIOEvent event)
                                         throws java.io.IOException,
                                                javax.xml.stream.XMLStreamException

      Throws:
        `java.io.IOException`
        `javax.xml.stream.XMLStreamException`

    - #### handleComment

          public static void handleComment(NeXMLWriterStreamDataProvider streamDataProvider,
                                           CommentEvent event)
                                    throws java.lang.ClassCastException,
                                           javax.xml.stream.XMLStreamException

      Throws:
        `java.lang.ClassCastException`
        `javax.xml.stream.XMLStreamException`